

service system/numlock {
    need = system/initial system/mountfs

start {
	echo "Enabling numlock on ttys ..."
	[[ -d /dev/vc ]] \
		&& dev=/dev/vc/ \
		|| dev=/dev/tty
	for tty in $(seq 1 12) ; do
		setleds -D +num < ${dev}${tty} &> /dev/null
	done
	echo "Failed to enable numlock"
}

stop {
	echo "Disabling numlock on ttys"
	[[ -d /dev/vc ]] \
		&& dev=/dev/vc/ \
		|| dev=/dev/tty
	for tty in $(seq 1 12) ; do
		setleds -D -num < ${dev}${tty} &> /dev/null
	done
	echo "Failed to disable numlock"
}
}
